<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('faculty_profiles', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade');

            $table->string('name');
            $table->string('email')->unique();
            $table->string('phone_number')->nullable();
            $table->string('vidhvan_id');
            $table->string('google_scholar_id');
            $table->string('linkedin_id')->nullable();
            $table->string('designation')->nullable();
            $table->string('salutation');
            $table->json('qualification')->nullable(); // multiple quals
            $table->text('address')->nullable();
            $table->string('employee_id');
            $table->string('department_name');
            $table->string('programme_name');
            $table->date('date_of_joining');
            $table->string('profile_photo_path')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('faculty_profiles');
    }
};
